package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaEmailTemplate;
import com.ruoyi.oa.domain.vo.OaEmailTemplateVo;
import com.ruoyi.oa.domain.bo.OaEmailTemplateBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 邮件模板Service接口
 *
 * @author ruoyi
 * @date 2025-07-16
 */
public interface IOaEmailTemplateService {

    /**
     * 查询邮件模板
     */
    OaEmailTemplateVo queryById(Long id);

    /**
     * 查询邮件模板列表
     */
    TableDataInfo<OaEmailTemplateVo> queryPageList(OaEmailTemplateBo bo, PageQuery pageQuery);

    /**
     * 查询邮件模板列表
     */
    List<OaEmailTemplateVo> queryList(OaEmailTemplateBo bo);

    /**
     * 新增邮件模板
     */
    Boolean insertByBo(OaEmailTemplateBo bo);

    /**
     * 修改邮件模板
     */
    Boolean updateByBo(OaEmailTemplateBo bo);

    /**
     * 校验并批量删除邮件模板信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
